#include <stdio.h>

int main() {
    printf("8 10000\nthis\nis\na\ntext\nconsisting\nof\npunctuation\nonly\n");
    for (int i = 0; i < 1000; i++) {
        printf(".\n,\n!\n?\n:\n;\n\"\n'\n-\n'\n");
    }
    return 0;
}